## org.eclipse.datatools.connectivity.sqm.core.rte
Interface DDLGenerator

All Known Implementing Classes:
  GenericDdlGenerator

    public interface DDLGenerator

Method Summary
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor, IEngineeringCallBack callback)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor, IEngineeringCallBack callback)`
`java.lang.String[]` `generateDDL(SQLObject[] elements, IProgressMonitor progressMonitor)`
`java.lang.String[]` `generateDDL(SQLObject[] elements, IProgressMonitor progressMonitor, IEngineeringCallBack callback)`
`EngineeringOptionCategory[]` `getOptionCategories()`
`EngineeringOption[]` `getOptions(SQLObject[] elements)`

Method Detail

### generateDDL

    java.lang.String[] generateDDL(SQLObject[] elements,
                                   IProgressMonitor progressMonitor)

### createSQLObjects

    java.lang.String[] createSQLObjects(SQLObject[] elements,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames,
                                        IProgressMonitor progressMonitor)

### dropSQLObjects

    java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      IProgressMonitor progressMonitor)

### createSQLObjects

    java.lang.String[] createSQLObjects(SQLObject[] elements,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames,
                                        IProgressMonitor progressMonitor,
                                        IEngineeringCallBack callback)

### generateDDL

    java.lang.String[] generateDDL(SQLObject[] elements,
                                   IProgressMonitor progressMonitor,
                                   IEngineeringCallBack callback)

### dropSQLObjects

    java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      IProgressMonitor progressMonitor,
                                      IEngineeringCallBack callback)

### getOptions

    EngineeringOption[] getOptions(SQLObject[] elements)

### getOptionCategories

    EngineeringOptionCategory[] getOptionCategories()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.